Subject: Quintuple Agonist for Obesity: One Drug, 5 Receptors
From: Dave Knapp from On The Pen <[email-masked]>
To: [email-masked]
Date: Fri, 24 Apr 2026 15:51:08 +0000
List-Id: <onthepen.substack.com>

View this post on the web at https://onthepen.substack.com/p/quintuple-agonist-for-obesity-one

Yesterday I dropped something that moved faster than I expected, and the reactions ended up being just as telling as the data itself. An Eli Lilly funded scientist is set to present rodent data at the American Diabetes Association meeting on a quintuple agonist, a five pathway compound that has already edged out retatrutide in rat weight loss. Retatrutide has been treated as the ceiling by a lot of people in this space, so even early animal data suggesting something may surpass it forces a reset in how people think about what comes next.
JOIN US FOR TODAY’S TGIF LIVE @ Noon Eastern!
What stood out to me right away was how many of you didn’t react with shock, but rather recognition. I saw comments like “GLP 5 dropped before GTA6,” which honestly captures how fast this category is moving, and others joking that at this rate there will be no receptors left to agonize. One of my favorites compared this progression to the evolution of a five blade razor, which is funny on the surface but actually pretty accurate in terms of how the industry keeps stacking functionality into a single product. Even the darker humor showed up, with an OTP O.G. community member, Cloakster, joking that “the rodent test subjects for the quintuple agonist all literally disappeared before trial end,” which encapsulates the internet’s general processing of just how aggressive this all sounds.
A lot of you also went straight to the peptide community and said this looks like what people have been doing for years by combining cagrilintide with incretin based therapies oftentimes layering in retatrutide. I understand that instinct because both approaches are trying to hit multiple receptors at once and push beyond what a single pathway drug can do. That said, this is not exactly the same thing, even if the receptor targets overlap.
Stacking separate compounds means each drug has its own absorption curve, its own half life, and its own receptor activity profile. You are essentially running multiple independent signals at the same time and hoping they line up in a way that produces a net benefit. A multi agonist is one engineered molecule with a single pharmacokinetic profile that is designed to engage multiple receptors in a coordinated and predictable way. The ratios are fixed, the timing is unified, and the interaction across receptors is intentional rather than incidental. That is the difference between experimentation and something that can be reproduced, studied, and ultimately approved.
I also want to clear up something that took off in the replies almost immediately, because I am already seeing people refer to this compound as “2839 LB.” That is not the name of the drug. It is simply the presentation identifier from the ADA program that I included in the screenshot. We do not have a public name for this molecule yet. What we do know is that the work is being presented by the Indiana Biosciences Research Institute and that most of the authors listed are sponsored by Lilly, which tells you where this is coming from even if the branding has not been attached yet.
The part that matters more than the jokes or the naming confusion is what this signals when you place it next to everything we have been covering here on our substack and podcast around classification and control. Lilly has already learned that building a powerful molecule does not mean you control how it is used or where it ends up. Compounding expanded when access broke down, and the gray market filled in the gaps when patients could not get what they needed through traditional channels. Retatrutide, in particular, developed demand in places Lilly does not control, and once that happens Lilly no longer has to solve for efficacy alone, they are solving for control.
That is where the biologic conversation starts to matter. We have been writing about this for a while, especially in the context of retatrutide and how Lilly may try to position future therapies in a way that changes how they are regulated and protected. Small molecule drugs are inherently more vulnerable to replication and modification within existing frameworks. Biologics introduce a different level of complexity, a different regulatory pathway, and a different set of barriers.
A quintuple agonist fits into that shift in a way that is hard to ignore. Increasing the number of pathways is not just about amplifying weight loss, it also increases the complexity of the molecule itself. Complexity makes meaningful replication more difficult, and that aligns with a broader strategy of maintaining control in a world where patients have already shown they will find alternatives when access is limited.
That is why the reaction to this post felt different. It was not just people reacting to a new potential drug. It was people connecting dots between what has been happening in the peptide community, what Lilly has experienced with compounding and gray market demand, and what this next generation of molecules might represent.
If this compound holds up beyond rodent data and eventually shows similar signals in humans, it will represent another leap forward in what is biologically possible for people living with obesity. The question that follows is the same one that has followed every breakthrough in this category so far. Will it actually reach people who need it in a meaningful way, or will it live inside a system where access is still dictated by pricing, coverage, and regulatory friction. And whether folks believe it or not, yes, there are indeed people with metabolic disease severe enough to demand exactly this type of innovation. But innovation without access means very little.
What yesterday confirmed for me is that the direction is clear. Multi pathway therapies are not a fringe idea anymore. They are being formalized, engineered, and pushed through the system at the highest level. What is less clear is whether the system itself is going to evolve with them, or whether we are about to watch the same access story play out again with a much more advanced molecule at the center of it.
So I want to hear where you land on this. Do you see this as validation of what has been happening outside the system, or do you see it as the system absorbing those ideas and tightening control at the same time. And if a drug like this makes it through the pipeline, do you trust that it will be accessible to the people who need it, or do you think patients will once again be forced to find their own way.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9vbnRoZXBlbi5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVOVE0yTURnNE5pd2lhV0YwSWpveE56YzNNRFExT0RrMExDSmxlSEFpT2pFNE1EZzFPREU0T1RRc0ltbHpjeUk2SW5CMVlpMDBPREE0T1Rreklpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LkU2MTdkeld3RFZlRElBQkhPcmdFV0dndDAyMi0tT1ZiWWUtQ2NRTjk3eVkiLCJwIjoxOTUzNjA4ODYsInMiOjQ4MDg5OTMsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc3MDQ1ODk0LCJleHAiOjIwOTI2MjE4OTQsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.mYgD2WTrocCpAco7tk-8YCH7WrwfW2LzNCNE9aa4mfY?